---
name: Phil Hughes
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/engineering/development/frontend/">Staff Frontend Engineer</a>,
  Create:Code Review
reports_to: andre-l
picture: phil-hughes.jpg
twitter: iamphill
gitlab: iamphill
departments:
- Engineering Function
- Development Department
- Dev Section
- Create:Code Review FE Team
- Frontend
- Create:Code Review
projects:
  gitlab: maintainer frontend
  gitlab-ui: reviewer frontend
  gitlab-eslint-config: maintainer frontend
  gitlab-svgs: maintainer frontend
  status-page: maintainer frontend
domain_expertise:
- feature_testing
- frontend_architecture
- frontend_graphql
- frontend_legacy
- frontend_performance
- graphql
- haml
- i18n
- vue
- vuex
- merge_requests
- repository
- mergeability
expertise: |
  <li><a href="https://docs.gitlab.com/ee/development/fe_guide/architecture.html">Frontend Architectural</a> <a href="/company/team/structure/#expert">expert</a></li>
  <li><a href="https://docs.gitlab.com/ee/user/project/issue_board.html">Issue Boards</a> <a href="/company/team/structure/#expert">expert</a></li>
  <li><a href="https://docs.gitlab.com/ee/development/fe_guide/vue.html">Vue.js</a> <a href="/company/team/structure/#expert">expert</a></li>
  <li><a href="https://docs.gitlab.com/ee/user/project/web_ide/">Web IDE</a> <a href="/company/team/structure/#expert">expert</a></li>
story: 'Phil has a huge passion for programming, with skills ranging anywhere from
  JavaScript to C++. Having experienced a variety of roles in industry, he realised
  that front-end development was more his "cup of tea" and has since been focusing
  on improving his skills in this area. When not geeking out, he loves to spend time
  with his wife and his daughter Emilia.

  '
specialty: Code Review

